function [ xx ] = zaruseni_brum( x, amplituda, fvz )
% Funkce zaruseni_brum.m simuluje rušení vznikající indukcí napětí ze
% silových elektrických rozvodů. Do funkce vstupují tři parametry:
% x: vektor popisující signál, u kterého má být provedena simulace brumu
% amplituda: kladné číslo charakterizující amplitudu simulovaného brumu
% fvz: kladné číslo charakterizující frekvenci, s kterou je signál x
% vzorkován
% Výstupem funkce zaruseni_brum.m je vektor xx popisující získaný signál 
% zarušený brumem.

N=length(x);
delka=1:N;          %délka rušivého signálu
f=50;               %frekvence rušivého signálu
faze=2*pi*rand(1);
ruseni=amplituda*sin(2*pi*f*delka/fvz+faze);
xx=x+ruseni';         %zarušení původního signálu

end

